Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTest1Var

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTest1Var

    public class HypothesisTest1Var

extends java.lang.Object

A hypothesis test for 1 population variance

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTest1Var(int n, double sigma2, double confidenceLevel, int testType)` Constructor.

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`double` | `pValue(double s2)` Returns the p-value corresponding to s2 in a chi-square distribution.
`double` | `testStatistics(double s2)` Returns the test statistics for the given sample variance s2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTest1Var

    public HypothesisTest1Var(int n,
                              double sigma2,
                              double confidenceLevel,
                              int testType)

  Constructor.

  Parameters:
    `n` - sample size
    `sigma2` - hypothesized variance
    `confidenceLevel` - confidence level
    `testType` - (as defined in `HypothesisTest`)

Method Detail

### testStatistics

    public double testStatistics(double s2)

  Returns the test statistics for the given sample variance s2.

  X2 = (n-1)^2 * s2 / sigma2

  Parameters:
    `s2` - hypothesized population variance
  Returns:
    test statistic X2 (chi-square)

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the chi-square distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue(double s2)

  Returns the p-value corresponding to s2 in a chi-square distribution.

  Parameters:
    `s2` - variance
  Returns:
    p-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD